/*	js/junctions.js  Main JavaScript Functions
	lines beginning w. double slashes and "win2" are debugging lines:
	"var win2 =" remove the two backslashes and the line below opens the debugging window 
*/

/*	var win2 = window.open("","debugging","height=400,width=500,top=450px,left=0,screenX=0,screenY=450,dependent");
*/

var sessionNum = 0;
var pageNum = 0;
var oldSession = 0;
var oldPage = 0;
var playFlag = 0;
var vPlaying = false;
var timeScale = 0;
var secTenths = 0;
var secOld = 0;
var sessionMax = 0;
var pageMax = 0;
var loaded = false;

function firstLoad()
{
	if (window.win2) win2.document.write("* firstLoad<br />");
	if (showText)
		{
			try 
				{
					textBoxDoc = document.getElementById('textBox').contentDocument;
					var state = textBoxDoc.readyState;
					if (window.win2) win2.document.write("state = " + state + "<br />");
					if (state=='complete') firstLoad2();
					else setTimeout ("firstLoad();",200);
				}
			catch (err) {setTimeout('firstLoad();',200)};
		}
	else firstLoad2();
}

function firstLoad2()
{
	if (window.win2) win2.document.write("* firstLoad2<br />");
	loaded = true;
	
	var sessionStr = [];
	var i = 0;
	sessionMax = sessionIndex[0][3];
	
	for (i = 1; i <= sessionMax; i++)
		{
			var sessionName = sessionIndex[i][3];
			var sessionOpt = sessionIndex[i][0];
			sessionStr[i] =  new Option(sessionName,sessionOpt);			
			document.controls.sessionSelect.options[i] = sessionStr[i];
		}

	if (showText)
		{
			var TsessionStr = "";
			for (i=0; i <= sessionMax; i++)
				{
					TsessionStr = "Tsession" + i;
					textBoxDoc.getElementById(TsessionStr).style.display = "block";
				}
			textBoxDoc.getElementById("textLoad").style.display = "none";
			textBoxDoc.getElementById('0,0').style.display = "block";

			var tagTable = textBox.document.getElementsByTagName("td");
			if (tagTable!=null) for (i=0; i<tagTable.length; i++) tagTable[i].style.height = "400";

			document.controls.pageNo.value = "0,0";	
			document.controls.vTime.value = " "; 
			disableContr(); 
			loaded=true;
			
			if (window.win2) win2.document.write("synchEditorLoadSequence<br>" );	
			document.getElementById('pageControls').style.display = "block";
			winIndex = window.open('','','height=400,width=400,top=0px,left=0,screenX=0,screenY=0,dependent');
			this.window.focus();
		}
	else	document.getElementById('allControls').style.top = "40px";	

	document.controls.sessionSelect.disabled = false;
	if (document.controls.pageNo) document.controls.pageNo.disabled = false;
	if (window.win2) win2.document.write("Complete First Load <br />");
}

function jumpPage()
{return;}							/* dummy function to accommodate video routines */

function loadVideo(inputSession,inputPage)
{
	sessionNum = parseInt(inputSession);
	pageNum = parseInt(inputPage);

	if (window.win2) win2.document.write("* loadVideo<br />loadVideo input:" + sessionNum + "," + pageNum + "<br />");

	playFlag = 1;
	disableContr(); 
	toggleVideo(0);
	document.controls.vTime.value = "00:00:00";

	if (showText)
		{
			var tagTable = textBoxDoc.getElementsByTagName("tr");
			var i = 0;
			var TsessionStr = "";
			if (tagTable != null) for (i = 0; i < tagTable.length; i++) tagTable[i].style.display = "none";	

			for (i = 0; i <= sessionMax; i++)
				{
					TsessionStr = "Tsession" + i;
					textBoxDoc.getElementById(TsessionStr).style.display = "none";
				}
			TsessionStr = "Tsession" + sessionNum;
			if (window.win2) win2.document.write ("TsessionStr = " + TsessionStr + "<br />"); 
			textBoxDoc.getElementById(TsessionStr).style.display = "block";
			pageMax = sessionIndex[sessionNum][2];
			updateText();
			writeIndex('first');
			document.controls.sessionSelect.value = sessionNum;
		}
			setNewVideo();
			if (!showText) setTimeout('toggleVideo(1);',500);
}

function pageBack()
{
	if (window.win2) win2.document.write("* pageBack<br />");
	if (pageNum>0)
		{
			oldSession = sessionNum;
			oldPage = pageNum;
			pageNum--; 
	  		updateText();
		}
}

function pageForward() 
{
	if (window.win2) win2.document.write("* pageForward<br />");
	chapterMax = (sessionIndex[sessionNum][2]);
	if (pageNum<pageMax)
		{
			oldSession = sessionNum;
			oldPage = pageNum;
			pageNum++;
	  		updateText();
		}
}

function updateText()
{
	var oldID = oldSession + ',' + oldPage;
	var newID = sessionNum + ',' + pageNum;
	if (window.win2) win2.document.write ("* updateText: old = " + oldID + "; new = " + newID + "<br />"); 
	textBoxDoc.getElementById(oldID).style.display = "none";
	textBoxDoc.getElementById(newID).style.display = "block";
	document.controls.pageNo.value = newID;
}

function writeIndex(writeNo)
{
	if (window.win2) win2.document.write("* writeIndex <br >");
	getCurrentTime();	

	if (writeNo == 'first')
		{
			if (window.winIndex) winIndex.document.write('timeIndex[' + sessionNum + '] = new Array<br />(<br />[' + pageNum + ', ' + secTenths + ']');
			
		}
	if (writeNo == 'next') winIndex.document.write(',<br />[' + pageNum + ', ' + secTenths + ']');
	if (writeNo == 'last') winIndex.document.write("<br />);")
}

function exit()
{
	if (window.winIndex) winIndex.close();
	if (window.win2) win2.close();
}