/* This file enables the setRef and setList features that allow references in web pages to pop up the IVT and load a specific page or play list.  To use it, first replace the "XXX" with a unique identifier for your project (important if you are calling different projects from the same page).  If you are using the setListXXX() function in a web page to load the IVT and a playlist, you should also open the "menu.js" file and replace the "pages/playList.html" in the openListWin() function reference with a full url reference, or you will likely get a "page not found" message when loading a play list you embed in a web page.  To find the reference to use, open the IVT and click on the playlist button.  When the playlist loads, copy its url from the location bar and paste it into the function. */

var ivtWinXXX = "" ;
var refFlagXXX = false;
var refSessionXXX = 0;
var refPageXXX = 0;
var listFlagXXX = false;
var listStrXXX = "";
var ivtWinXXX;

function openIvtWinXXX()
{
	if (!window.ivtWinXXX || window.ivtWinXXX.closed) 
		{
			ivtWinXXX = window.open('IVT.html','','width=870,height=655,scrollbars=no,top=30,left=20,screenX=20,screenY=30');
			if (refFlagXXX | listFlagXXX) testForLoadXXX();	
		}
	else 
		{
			if (refFlagXXX) pushRefXXX();	
			else if (listFlagXXX) pushListXXX();
			ivtWinXXX.focus();
		}
}

function testForLoadXXX()
{
	if (!ivtWinXXX.loaded) setTimeout("testForLoadXXX()",500);
	else
		{
			if (refFlagXXX) pushRefXXX();
			else if (listFlagXXX) pushListXXX();
		}
}

function setRefXXX(sno,pno)
{
	refSessionXXX = sno;
	refPageXXX = pno;
	refFlagXXX = true;
	openIvtWinXXX();
}

function pushRefXXX()
{
	ivtWinXXX.callSession = refSessionXXX;
	ivtWinXXX.callPage = refPageXXX;
	ivtWinXXX.refFlag = true;
	refFlagXXX = false;
	ivtWinXXX.loadCheck();
	ivtWinXXX.focus();
}

function setListXXX(input)
{
	listStrXXX = input;
	listFlagXXX = true;
	openIvtWinXXX();	
}

function pushListXXX()
{
	ivtWinXXX.callList = listStrXXX;
	ivtWinXXX.listFlag = true;
	listFlagXXX = false;
	ivtWinXXX.loadCheck();
	ivtWinISSN.focus();
}

function exit()
{
	if (window.ivtWinXXX) ivtWinXXX.close();
}
