/* video module for the QuickTime plug-in (does not work with Apple OS X Mountain Lion and later)
		
	core function = required by IVT main functions
	internal routine = internal to this video api file
	all variables declared in this file are internal */

var timeScale = 0;						/* units in which the QT player tracks time for the active video */
var rawTime = 0;						/* raw time as delivered by the QT player in timeScale units*/
var tsTenths = 0;						/* conversion factor to convert raw time to 10ths of a sec using QT video time scale*/
var endTime = 0;						/* duration of video in raw time */

var fullScreen = false;				/* required: set to true if interface supports fullscreen */

function insertVideo()								/* core function */
{
	if (window.win2) win2.document.write("* insert Video <br />");
	document.write('<object classid="clsid:02BF25D5-8C17-4B23-BC80-D3488ABDDC6B" \n');
	document.write('codebase="http:www.apple.com/qtactivex/qtplugin.cab" width="' + videoW + '" height="' + videoH + '" id="video">\n');
	document.write('<param name="src" value="img/' + videoBlank + '" />\n')
	document.write('<param name="controller" value="false" />\n');
	document.write('<param name="autoplay" value="false" />\n');

	 if (navigator.mimeTypes && navigator.mimeTypes["video/quicktime"])		
	 	{
			document.write('<embed width="' + videoW + '" height="' + videoH + '" type="video/quicktime" name="video"\n');
			document.write('src="img/' + videoBlank + '"\n');
			document.write('controller="false" autoplay="false"\n');      			
			document.write('pluginurl="http:www.apple.com/quicktime/download/" />\n');
		}
	document.write('</object>');
	vLoaded = true;

	if (window.win2) win2.document.write("insert Video complete<br />");
}

function setVideoTime()						/* core function */
{
	pageTime = pageTime * tsTenths;
	document.video.SetTime(pageTime);
}

function setNewVideo()							/* core function */
{
	if (window.win2) win2.document.write("* waitForLoad <br />");

	if (sessionNum == 0) 
		{
			var videoName = "img/" + videoBlank;
			document.controls.pageNo.value = "0,0";
			updateText();
		}			
	else
		{
			var videoName = (sessionIndex[sessionNum][1]);
		}

	document.video.SetResetPropertiesOnReload(false);
	document.video.SetURL(videoName);
	playFlag = 1;
	vLoaded = false;
	waitForLoad();
}

function waitForLoad() 					/* internal routine */
{
	if (window.win2) win2.document.write("* waitForLoad <br />");
	var QTStatus = document.video.GetPluginStatus();
	document.controls.vTime.value = QTStatus
	if (QTStatus == "Complete") 
		{
			timeScale = document.video.GetTimeScale();
			tsTenths = timeScale/10;
			endTime = document.video.GetEndTime();

			vLoaded = true;
			enableContr();

			if (window.win2) win2.document.write("QTStatus is: " + QTStatus + ", timeScale = " + timeScale + "<br />");
			jumpPage();
		}
	else setTimeout("waitForLoad()",1000);
}

function startPlayer()								/* core function */
{
	document.video.Play();
}

function pausePlayer()							/* core function */
{
	document.video.Stop();
}

function setPlayRate()
{
	document.video.SetRate(newRate);
}

function getCurrentTime()						/* core function */
{
	rawTime = document.video.GetTime();
	var secTenths = (rawTime / tsTenths) | 0;
	return(secTenths);
}

function checkForEnd()							/* core function */
{
	if (rawTime==endTime) return(true);
}	
